
Redmine - Defect #7915

An error occurred while sending test  email (undefined method `[]' for nil:NilClass)

2011-03-18 07:46 - Vinitha Varun

Status: Closed Start date: 2011-03-18

Priority: Normal Due date:  

Assignee:  % Done: 80%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.0.4

Description

While I click on the Send a test email button in Administration->Settings->Email configuration tab, I get the above mentioned error.

My config/email.yml is as below

production:

  delivery_method: :smtp

  smtp_settings:

      address:"localhost" 

      port: 25

      domain:VVENUGOP.XXX.XXX.net

 My production log reports no error ,what I get is as below,

Processing AdminController#test_email (for 127.0.0.1 at 2011-03-18 11:51:17) [GET]

  Parameters: {"action"=>"test_email", "controller"=>"admin"}

Sending email notification to: vvenugopalan@in.rm.com

Sent mail to vvenugopalan@in.rm.com

Redirected to http://localhost/redmine/settings/edit?tab=notifications

Completed in 438ms (DB: 31) | 302 Found [http://localhost/admin/test_email]

Processing SettingsController#edit (for 127.0.0.1 at 2011-03-18 11:51:19) [GET]

  Parameters: {"action"=>"edit", "controller"=>"settings", "tab"=>"notifications"}

Rendering template within layouts/admin

Rendering settings/edit

Completed in 1328ms (View: 797, DB: 188) | 200 OK [http://localhost/settings/edit?tab=notification

s]

 About my application's environment

Ruby version              1.8.7 (i386-mingw32

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          C:/webserver/Redmin

Environment               development

Database adapter          mysql

Database schema version   20100819172912

Redmine plugins

Redmine Charts                 0.1.0

Redmine Scrum Sprints plugin   0.1.6

Advanced report plugin         0.0.4

Redmine Graphs plugin          0.0.1

Redmine version : 1.0.4

 Can anyone please tell me what I'm doing wrong?
History

#1 - 2011-03-18 09:43 - Etienne Massip

You're getting this error in the flash message ?

#2 - 2011-03-18 09:59 - Vinitha Varun

- File ErrorMessage.JPG added

Yes.I am attaching the screen shot of the error I'm getting.

#3 - 2011-03-18 10:36 - Etienne Massip

Could you try with another mail address ?

#4 - 2011-03-18 10:41 - Vinitha Varun

I tried it with my yahoo mail id.But still gets the same issue. Do I have to change the emission id that we specify in the email configuration also?

#5 - 2011-03-18 11:06 - Etienne Massip

Could you get the error stack trace from your server log (if mongrel it should be in ruby/bin) ?

#6 - 2011-03-18 11:11 - Vinitha Varun

I'm using mongrel. Could please specify the file name, extension etc. In ruby/bin there a lot of erb & dll files. Sorry for the ignorance ,i don't know RoR.

#7 - 2011-03-18 11:22 - Etienne Massip

It's something like mongrel.log, it also can be located in your redmine/log dir, aside production.log.

#8 - 2011-03-18 11:35 - Vinitha Varun

I'm attaching the stack trace.

#9 - 2011-03-18 11:44 - Etienne Massip

Where that ? :p

#10 - 2011-03-18 11:53 - Vinitha Varun

Some error occurred. Sorry.

#11 - 2011-03-18 11:59 - Vinitha Varun

- File mongrel.txt added

Its size is more than 500kb. I'll get the last few stack traces. Please find the attached.

#12 - 2011-03-18 12:35 - Etienne Massip

Is there no trace in log with "undefined method `[]' for nil:NilClass" ?

#13 - 2011-03-18 12:44 - Vinitha Varun

No. I could find only unassigned method `authentication'.

fromC:/webserver/Redmine/vendor/rails/actionmailer/lib/action_mailer/base.rb:400:in

`method_missing':C:/webserver/Redmine/vendor/rails/actionmailer/lib/action_mailer/base.rb:400:in `method_missing': undefined method

`authentication=' for ActionMailer::Base:Class (NoMethodError)

#14 - 2011-03-18 15:58 - Etienne Massip

Well, quoting JPL :

To get more information, edit config/environments/production.rb:

set config.action_mailer.raise_delivery_errors to true

comment this line: config.action_mailer.logger = nil

Restart the app and try again, you may get some more information in log then.

#15 - 2011-03-21 05:29 - Vinitha Varun
I have made the changes as you commented earlier but it did not make any change in log file.

#16 - 2011-03-21 09:46 - Etienne Massip

Next try (should be last) :

Change your source:tags/1.0.4/app/controllers/admin_controller.rb#L71 from :

...

    rescue Exception => e

      flash[:error] = l(:notice_email_error, e.message)

    end

...

 to :

...

    rescue Exception => e

      logger.error "#{e.message} ; #{e.backtrace.join('\n')}" if logger

      flash[:error] = l(:notice_email_error, e.message + ':\n' + e.backtrace.join('\n'))

    end

...

 Then restart the app and once more.

#17 - 2011-03-21 10:59 - Vinitha Varun

Now i get a 500 internal error page. Screen shot attached.Now what I'm getting from the log file is as below.

Processing AdminController#test_email (for 127.0.0.1 at 2011-03-21 15:13:48) [GET]

Parameters: {"action"=>"test_email", "controller"=>"admin"}

Sending email notification to: vvenugopalan@in.rm.com

Sent mail to vvenugopalan@in.rm.com

undefined method `[]' for nil:NilClass ; C:/webserver/Redmine/vendor/rails/actionmailer/lib/action_mailer/base.rb:678:in

`perform_delivery_smtp'\nC:/webserver/Redmine/vendor/rails/actionmailer/lib/action_mailer/base.rb:521:in

`__send__'\nC:/webserver/Redmine/vendor/rails/actionmailer/lib/action_mailer/base.rb:521:in

`deliver!'\nC:/webserver/Redmine/app/models/mailer.rb:304:in

`deliver!'\nC:/webserver/Redmine/vendor/rails/actionmailer/lib/action_mailer/base.rb:393:in

`method_missing'\nC:/webserver/Redmine/app/controllers/admin_controller.rb:68:in

`test_email'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in

`send'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in

`perform_action_without_filters'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:617:in

`call_filters'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:610:in

`perform_action_without_benchmark'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'\nC:/webserver/Redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in

`ms'\nC:/webserver/Ruby/lib/ruby/1.8/benchmark.rb:308:in

`realtime'\nC:/webserver/Redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in

`ms'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/rescue.rb:160:in

`perform_action_without_flash'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/flash.rb:146:in

`perform_action'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in

`send'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in

`process_without_filters'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in

`process'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:391:in

`process'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:386:in

`call'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:437:in

`call'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:87:in

`dispatch'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:121:in

`_call'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:130:in

`build_middleware_stack'\nC:/webserver/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in

`call'\nC:/webserver/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in

`call'\nC:/webserver/Redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in

`cache'\nC:/webserver/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in

`cache'\nC:/webserver/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in

`call'\nC:/webserver/Redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in

`call'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:in

`call'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in

`call'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in

`call'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in

`call'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb:93:in

`call'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in

`call'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in

`call'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in

`synchronize'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in

`call'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in
`call'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/cgi_process.rb:44:in

`dispatch_cgi'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:101:in

`dispatch_cgi'\nC:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:27:in

`dispatch'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/rails.rb:76:in

`process'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/rails.rb:74:in

`synchronize'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/rails.rb:74:in

`process'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:159:in

`process_client'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:158:in

`each'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:158:in

`process_client'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:285:in

`run'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:285:in

`initialize'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:285:in

`new'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:285:in

`run'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:268:in

`initialize'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:268:in

`new'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:268:in

`run'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/configurator.rb:282:in

`run'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/configurator.rb:281:in

`each'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/configurator.rb:281:in

`run'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:128:in

`run'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/command.rb:212:in

`run'\nC:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:281\nC:/webserver/Ruby/bin/mongrel_rails:19:in

`load'\nC:/webserver/Ruby/bin/mongrel_rails:19

Redirected to http://localhost/redmine/settings/edit?tab=notifications

Completed in 31ms (DB: 16) | 302 Found [http://localhost/admin/test_email]

Processing SettingsController#index (for 127.0.0.1 at 2011-03-21 15:13:58) [GET]

Parameters: {"action"=>"index", "controller"=>"settings"}

Rendering template within layouts/admin

Rendering settings/edit

Completed in 265ms (View: 250, DB: 0) | 200 OK [http://localhost/settings]

#18 - 2011-03-21 11:58 - Etienne Massip

Hum, your app/models/mailer.rb seems not to be a real 1.0.4 one since call to ActionMailer.deliver! should be made at line 294 according to 

source:tags/1.0.4/app/models/mailer.rb#L294, not 304 like your log excerpt indicates.

Could you tell us if there is any modification made to this file (maybe related to the report plugin) or attach it ?

Did you try without plugins ?

#19 - 2011-03-21 12:10 - Etienne Massip

BTW, you can change your source:tags/1.0.4/app/controllers/admin_controller.rb#L71 back to something lighter :

...

    rescue Exception => e

      logger.error "#{e.message} :\n #{e.backtrace.join("\n")}" 

      flash[:error] = l(:notice_email_error, e.message)

    end

...

#20 - 2011-03-21 12:38 - Vinitha Varun

I've uninstalled all my plugins, still i'm getting the same error. Even when i tried to create a user with 'Send account information to the user' checked, I

got the same error.Do you want me to attach my app/model/mailer.rb file? Haven't made any change to that file so far.

#21 - 2011-03-21 12:40 - Vinitha Varun

- File mailer.rb added

I'm attaching the mailer.rb file.

#22 - 2011-03-21 14:15 - Etienne Massip

There is a Mailer#deliver_test method that should not be here.

Someone has made some modifications related to mail sending, you should restore original redmine 1.0.4 files in place of the actual.

#23 - 2011-03-22 08:52 - Vinitha Varun

- File mailer.rb added

I have restored the original Redmine 1.0.4 mailer.rb & restarted the server. Still its showing the same error.
Mailer.rb attached.

#24 - 2011-03-22 08:59 - Etienne Massip

Sorry, but could you redo note-19 so we can now get a clean trace of the exception in production.log ?

#25 - 2011-03-22 09:09 - Vinitha Varun

ok. Now what I get in the production log is as below :

Processing SettingsController#edit (for 127.0.0.1 at 2011-03-22 13:20:10) [GET]

Parameters: {"action"=>"edit", "controller"=>"settings", "tab"=>"notifications"}

Rendering template within layouts/admin

Rendering settings/edit

Completed in 1422ms (View: 969, DB: 250) | 200 OK [http://localhost/settings/edit?tab=notifications]

Processing AdminController#test_email (for 127.0.0.1 at 2011-03-22 13:20:19) [GET]

Parameters: {"action"=>"test_email", "controller"=>"admin"}

Sending email notification to: jvarghese@in.rm.com

Sent mail to jvarghese@in.rm.com

undefined method `[]' for nil:NilClass :

C:/webserver/Redmine/vendor/rails/actionmailer/lib/action_mailer/base.rb:678:in `perform_delivery_smtp'

C:/webserver/Redmine/vendor/rails/actionmailer/lib/action_mailer/base.rb:521:in `__send__'

C:/webserver/Redmine/vendor/rails/actionmailer/lib/action_mailer/base.rb:521:in `deliver!'

C:/webserver/Redmine/app/models/mailer.rb:292:in `deliver!'

C:/webserver/Redmine/vendor/rails/actionmailer/lib/action_mailer/base.rb:393:in `method_missing'

C:/webserver/Redmine/app/controllers/admin_controller.rb:68:in `test_email'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in `send'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in `perform_action_without_filters'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:617:in `call_filters'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:610:in `perform_action_without_benchmark'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

C:/webserver/Redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

C:/webserver/Ruby/lib/ruby/1.8/benchmark.rb:308:in `realtime'

C:/webserver/Redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/rescue.rb:160:in `perform_action_without_flash'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/flash.rb:146:in `perform_action'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `send'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `process_without_filters'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in `process'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:391:in `process'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/base.rb:386:in `call'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:437:in `call'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:87:in `dispatch'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:121:in `_call'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:130:in `build_middleware_stack'

C:/webserver/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

C:/webserver/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

C:/webserver/Redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

C:/webserver/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in `cache'

C:/webserver/Redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in `call'

C:/webserver/Redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:in `call'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in `call'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in `call'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in `call'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb:93:in `call'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in `call'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `synchronize'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in `call'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/cgi_process.rb:44:in `dispatch_cgi'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:101:in `dispatch_cgi'

C:/webserver/Redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:27:in `dispatch'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/rails.rb:76:in `process'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/rails.rb:74:in `synchronize'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/rails.rb:74:in `process'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:159:in `process_client'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:158:in `each'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:158:in `process_client'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:285:in `run'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:285:in `initialize'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:285:in `new'
C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:285:in `run'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:268:in `initialize'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:268:in `new'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:268:in `run'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/configurator.rb:282:in `run'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/configurator.rb:281:in `each'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/configurator.rb:281:in `run'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:128:in `run'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/command.rb:212:in `run'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:281

C:/webserver/Ruby/bin/mongrel_rails:19:in `load'

C:/webserver/Ruby/bin/mongrel_rails:19

Redirected to http://localhost/redmine/settings/edit?tab=notifications

Completed in 297ms (DB: 0) | 302 Found [http://localhost/admin/test_email]

Processing SettingsController#edit (for 127.0.0.1 at 2011-03-22 13:20:20) [GET]

Parameters: {"action"=>"edit", "controller"=>"settings", "tab"=>"notifications"}

Rendering template within layouts/admin

Rendering settings/edit

Completed in 797ms (View: 625, DB: 78) | 200 OK [http://localhost/settings/edit?tab=notifications]

#26 - 2011-03-22 09:48 - Etienne Massip

Vinitha Varun wrote:

Mailer.rb attached.

 I'm sorry but the mailer.rb you uploaded is not a 1.0.4 one, it's a 1.0.0 one ?!

#27 - 2011-03-22 10:09 - Vinitha Varun

- File mailer.rb added

I'm extremely sorry. Please find the attached mailer.rb

#28 - 2011-03-22 10:12 - Etienne Massip

What's the result of gem list ?

Maybe is it an issue with mail gem dependency ?

#29 - 2011-03-22 10:18 - Vinitha Varun

Result of gem list as below

LOCAL GEMS ***

abstract (1.0.0)

actionmailer (3.0.5, 2.3.5, 2.2.2)

actionpack (3.0.5, 2.3.5, 2.2.2)

activemodel (3.0.5)

activerecord (3.0.5, 2.3.5, 2.2.2)

activeresource (3.0.5, 2.3.5, 2.2.2)

activesupport (3.0.5, 2.3.5, 2.2.2)

arel (2.0.9)

builder (3.0.0, 2.1.2)

bundler (1.0.10)

cgi_multipart_eof_fix (2.5.0)

erubis (2.6.6)

gem_plugin (0.2.3)

googlecharts (1.6.1)

i18n (0.4.1)

mail (2.2.15)

mime-types (1.16)

mongrel (1.1.5 x86-mingw32)

mongrel_service (0.3.4 i386-mswin32)

mysql (2.8.1 x86-mingw32)

polyglot (0.3.1)

rack (1.2.2, 1.0.1)

rack-mount (0.6.13)

rack-test (0.5.7)

rails (3.0.5, 2.3.5)

railties (3.0.5)

rake (0.8.7)
rmagick (2.12.0 mswin32)

rubygems-update (1.6.2, 1.4.2, 1.3.7)

thor (0.14.6)

treetop (1.4.9)

tzinfo (0.3.25)

win32-api (1.4.8 x86-mingw32)

win32-service (0.5.2 mswin32)

windows-api (0.4.0)

windows-pr (1.1.3)

#30 - 2011-03-22 10:28 - Etienne Massip

Vinitha Varun wrote:

I'm extremely sorry. Please find the attached mailer.rb

 What did you just do ? Replace 1.0.0 with 1.0.4 ?

#31 - 2011-03-22 10:30 - Vinitha Varun

No.Actually i sent u the wrong file.I had a copy of 1.0 & in hurry ,i attached the mailer.rb of 1.0. Sorry.

Is that a problem with mail gem? Or did I missed out something?

#32 - 2011-03-22 10:33 - Etienne Massip

Vinitha Varun wrote:

Is that a problem with mail gem? Or did I missed out something?

 I don't think so : I have mail v2.2.14 and it works just fine.

#33 - 2011-03-22 10:38 - Etienne Massip

You could remove Rails 2.2.2 if of no use anymore.

#34 - 2011-03-22 10:44 - Vinitha Varun

My rail versions are 3.0.5 & 2.3.5 .Do u mean to remove rails 3.0.5?In the installation procedure the rail version mentined is 2.3.5.

#35 - 2011-03-22 10:55 - Etienne Massip

Sorry, I meant : there are remains of Rails 2.2.2 you may want to uninstall :

actionmailer (3.0.5, 2.3.5, 2.2.2)

actionpack (3.0.5, 2.3.5, 2.2.2)

activerecord (3.0.5, 2.3.5, 2.2.2)

activeresource (3.0.5, 2.3.5, 2.2.2)

activesupport (3.0.5, 2.3.5, 2.2.2)

#36 - 2011-11-06 00:18 - HECTOP HECTOP

- % Done changed from 0 to 80

Hi, guys! Possible I know the cause. All things is in spaces before parametres & values in configuration.yml.

The solution is using proper structure of configuration.yml:

default: # --- 0 spaces before

  # Outgoing emails configuration (see examples above)

  email_delivery: # --- 2 spaces before

    delivery_method: :smtp # --- 4 spaces before

    smtp_settings: # --- 4 spaces before

      tls: true # --- 6 spaces before

      address: smtp.gmail.com # --- 6 spaces before

      port: 587 # --- 6 spaces before

      domain: domain.com # --- 6 spaces before

      authentication: :plain # --- 6 spaces before

      user_name: "user@domain.com" # --- 6 spaces before

      password: "*************" # --- 6 spaces before

 I've tested on 2 different environments (CentOS_6 + Postgres) and (Bitnami - Redmine 1.2.1 - Ubuntu Server 10.10). Please check.
#37 - 2017-03-20 03:27 - Go MAEDA

- Description updated

#38 - 2017-03-20 03:34 - Go MAEDA

- Category set to Email notifications

- Status changed from New to Closed

- Resolution set to Cant reproduce

I am closing this issue because no feedback for years and I cannot reproduce this in current versions of Redmine. And I think #7915#note-36 is

correct.

Please open a new issue if the problem still persists.

Files

ErrorMessage.JPG 79 KB 2011-03-18 Vinitha Varun

mongrel.txt 29 KB 2011-03-18 Vinitha Varun

mailer.rb 18.7 KB 2011-03-21 Vinitha Varun

mailer.rb 17.8 KB 2011-03-22 Vinitha Varun

mailer.rb 18.5 KB 2011-03-22 Vinitha Varun
